Bug 26828 - Set focus for cursor to current password field when updating in the OPAC
Summary: Set focus for cursor to current password field when updating in the OPAC
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-26 19:38 UTC by Barbara Johnson
Modified: 2020-11-16 20:56 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26828: Set focus for cursor to current password field when updating in the OPAC (1.68 KB, patch)
2020-10-27 12:56 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26828: Set focus for cursor to current password field when updating in the OPAC (1.74 KB, patch)
2020-10-27 19:05 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 26828: Set focus for cursor to current password field when updating in the OPAC (1.79 KB, patch)
2020-10-31 23:51 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Barbara Johnson 2020-10-26 19:38:24 UTC
Set the focus for the cursor to the current password field when updating a password in the OPAC so the user can just start typing in their information and eliminate a click.
Comment 1 Owen Leonard 2020-10-27 12:56:55 UTC
Created attachment 112566 [details] [review]
Bug 26828: Set focus for cursor to current password field when updating in the OPAC

This patch adds the "focus" class to the first field in the
OPAC's password update form so that the field automatically receives
focus upon page load.

To test, apply the patch and make sure the OpacPasswordChange system
preference is enabled.

- Log in to the OPAC
- Open the "Change your password" page
- The cursor should automatically be in the "Current password" field
  when the page loads.
Comment 2 ByWater Sandboxes 2020-10-27 19:05:01 UTC
Created attachment 112591 [details] [review]
Bug 26828: Set focus for cursor to current password field when updating in the OPAC

This patch adds the "focus" class to the first field in the
OPAC's password update form so that the field automatically receives
focus upon page load.

To test, apply the patch and make sure the OpacPasswordChange system
preference is enabled.

- Log in to the OPAC
- Open the "Change your password" page
- The cursor should automatically be in the "Current password" field
  when the page loads.

Signed-off-by: B Johnson <barbara.johnson@bedfordtx.gov>
Comment 3 Katrin Fischer 2020-10-31 23:51:35 UTC
Created attachment 112787 [details] [review]
Bug 26828: Set focus for cursor to current password field when updating in the OPAC

This patch adds the "focus" class to the first field in the
OPAC's password update form so that the field automatically receives
focus upon page load.

To test, apply the patch and make sure the OpacPasswordChange system
preference is enabled.

- Log in to the OPAC
- Open the "Change your password" page
- The cursor should automatically be in the "Current password" field
  when the page loads.

Signed-off-by: B Johnson <barbara.johnson@bedfordtx.gov>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-11-03 09:59:49 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-11-16 20:56:15 UTC
enhancement will not be backported to 20.05.x